Clone an existing volume
Creates a clone of an existing volume. Use this to generate a writable copy of the original volume for testing or development purposes.
HTTP method and endpoint
POST /vsa/volumes/{workingEnvironmentId}/{svmName}/{volumeName}/clone
Usage notes
Clones an existing volume.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
workingEnvironmentId |
string |
path |
True |
|
svmName |
string |
path |
True |
|
volumeName |
string |
path |
True |
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
newVolumeName |
string |
True |
New volume name |
parentSnapshot |
string |
False |
Snapshot name to use for the clone |
Example request
{
"newVolumeName": "string",
"parentSnapshot": "string"
}
Error
Status: Default, Default response